Bug 125582 - Crash when rebooting inactive node
Crash when rebooting inactive node
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: clumanager (Show other bugs)
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Depends On:
  Show dependency treegraph
Reported: 2004-06-08 22:35 EDT by Jim Richard
Modified: 2009-04-16 16:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 11:59:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Richard 2004-06-08 22:35:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 
T312461; .NET CLR 1.1.4322)

Description of problem:
On a two node, active passive  system, re-boot of inactive node 
crashes "active node". Active node reboots along with rebooting 
system. There is nothing in the logs (cluster or otherwise) to 
indicate any problem other then the reboot.

Version-Release number of selected component (if applicable):
Rh-Cluster 3.1 (update 1)

How reproducible:

Steps to Reproduce:
1.shutdown -r now (on inactive node)
2.active node reboots...

Actual Results:  Reboot of active node

Expected Results:  No Action

Additional info:
Comment 1 Lon Hohberger 2004-06-14 12:32:33 EDT
As of U1, clumanager has not been QA'd on ia32e or x86_64 (though
packages are available).

I attempted to reproduce this on i386, but was unsuccessful.  It may
or may not architecture dependent.
Comment 2 Lon Hohberger 2004-08-26 11:49:06 EDT
Hmm, have you tried the version from the beta channel?
Comment 3 Jim Richard 2004-08-26 11:59:28 EDT
I had forgotton all about this. My apologies. This can be closed. We 
had been in the middle of re-iping our entire network. I had 
neglected to updated the "Tie-Breaker" IP address. So as long as both 
nodes were up and able to ping each other things were fine. However 
if one node was taken down, remaining node assumed it was split brain 
when it couldn't reach the "Tie-Breaker" and shut itself down. 

This can be closed as a user error. 
Comment 4 Lon Hohberger 2007-12-21 10:10:10 EST
Fixing product name.  Clumanager on RHEL3 was part of RHCS3, not RHEL3

Note You need to log in before you can comment on or make changes to this bug.